﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;

namespace CodeCalculatorTest
{

    using PowerCodeCalculator.Model;
    using PowerCodeCalculator.Service;
    using System.Diagnostics;

    [TestClass]
    public class CalcServiceTest
    {
        [TestMethod]
        public void TestCalculate()
        {
            var condition = new CodeStatisticCondition
            {
                //CodeDirectory = AppDomain.CurrentDomain.BaseDirectory,

                CodeDirectory = @"E:\VSProjects\PowerCodeCalculator\CodeCalculatorTest",

                FileTypeFilter = ".cs",
                IgnoreFileType = ".designer.cs,assemblyinfo.cs",

                IsCalcBrace = true,
                IsCalcComment = true,
                IsCalcEmptyLine = true,

                IsEnableMultiThread = false,

            };

            var calcResult = CodeCounterService.Calc(condition);

            Assert.IsTrue(calcResult.IsOK);

            Assert.IsTrue(calcResult.TotalCount > 0);

            Debug.WriteLine(calcResult.OutPutInfo);


            condition.IsEnableMultiThread = true; //多线程
            calcResult = CodeCounterService.Calc(condition);

            Assert.IsTrue(calcResult.IsOK);

            Assert.IsTrue(calcResult.TotalCount > 0);

            Debug.WriteLine(calcResult.OutPutInfo);
        }
    }
}
