﻿using System;

namespace PowerCodeCalculator.Model
{
    /// <summary>
    /// 代码统计条件
    /// </summary>
    [Serializable]
    public sealed class CodeStatisticCondition
    {
        /// <summary>
        /// 代码目录 绝对路径 形如：D:\PowerCode
        /// </summary>
        public string CodeDirectory { get; set; }

        /// <summary>
        /// 统计的代码类型 通常为.cs代码文件
        /// </summary>
        public string FileTypeFilter { get; set; }

        /// <summary>
        /// 忽略统计的代码文件 如VS自动生成的.designer.cs文件等 多个以逗号,分隔
        /// </summary>
        public string IgnoreFileType { get; set; }

        /// <summary>
        /// 是否统计大括号{或}
        /// </summary>
        public bool IsCalcBrace { get; set; }

        /// <summary>
        /// 是否统计空行行数
        /// </summary>
        public bool IsCalcEmptyLine { get; set; }

        /// <summary>
        /// 是否统计注释行数
        /// </summary>
        public bool IsCalcComment { get; set; }

        /// <summary>
        /// 是否启用多线程统计
        /// </summary>
        public bool IsEnableMultiThread { get; set; }
    }
}
