﻿using System;
using System.Collections.Generic;
using System.Collections.Concurrent;

namespace PowerCodeCalculator.Model
{
    /// <summary>
    /// 代码统计结果信息实体
    /// </summary>
    [Serializable]
    public sealed class CodeStatisticInfo
    {

        /// <summary>
        /// 是否成功
        /// </summary>
        public bool IsOK { get; set; }

        /// <summary>
        /// 代码总行数
        /// </summary>
        public Int64 TotalCount { get; set; }

        /// <summary>
        /// 代码字符总数
        /// </summary>
        public Int64 TotalCharCount { get; set; }

        /// <summary>
        /// 代码信息列表
        /// </summary>
        public List<CodeInfo> CodeInfoList { get; set; }

        /// <summary>
        /// 统计输出信息
        /// </summary>
        public String OutPutInfo { get; set; }
    }
}